Bug 437052 - Review Request: xgridfit - Font hinting tool
Review Request: xgridfit - Font hinting tool
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-11 17:47 EDT by Nicolas Mailhot
Modified: 2008-03-13 03:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-13 03:07:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2008-03-11 17:47:48 EDT
Spec URL: http://nim.fedorapeople.org/xgridfit.spec
SRPM URL: http://nim.fedorapeople.org/xgridfit-1.5-1.fc9.src.rpm

Description: 

Xgridfit is a high-level, XML-based language for gridfitting, or "hinting",
fonts. The Xgridfit program compiles an XML source file into tables and
instructions that relate to the gridfitting of glyphs. Xgridfit does not
insert these elements into a font itself, but rather relies on FontForge, the
Open-Source font editor, to do so.

Xgridfit is used in the build stage of some FLOSS fonts, and as such is required to get them packaged Fedora-side, since we build them from source
Comment 1 Nicolas Mailhot 2008-03-11 17:49:31 EDT
xgridfit is just a bunch of shell files and xslt filter files, and as such
should be easy to review
Comment 2 Parag AN(पराग) 2008-03-11 23:26:45 EDT
I don't think this package contains a lot of documentation to have separate -doc
subpackage. Can you merge -doc to main package?

Comment 3 Nicolas Mailhot 2008-03-12 03:12:42 EDT
(In reply to comment #2)
> I don't think this package contains a lot of documentation to have separate -doc
> subpackage. Can you merge -doc to main package?

Are you sure? The documentation is still half the package size, and the debian
maintainer chose to split it too IIRC

Otherwise, un-splitting is dead easy as you know
Comment 4 Parag AN(पराग) 2008-03-12 06:58:53 EDT
Review:
+ package builds in mock (rawhide i386).
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=512207
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream.
78a322021939e81cb3e2a04a306ed60b  xgridfit-1-5.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present in -doc subpackage.
+ BuildRequires are proper.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Not a GUI app.

Also, you should change Group for -doc to Documentation as given at
http://fedoraproject.org/wiki/Packaging/Guidelines#head-9bbfa57478f0460c6160947a6bf795249488182b

APPROVED.
Comment 5 Nicolas Mailhot 2008-03-12 14:26:28 EDT
(In reply to comment #4)

> Also, you should change Group for -doc to Documentation as given at
>
http://fedoraproject.org/wiki/Packaging/Guidelines#head-9bbfa57478f0460c6160947a6bf795249488182b

Ok, will fix it at CVS import time. Thanks a lot for the lighting-fast review!

New Package CVS Request
=======================
Package Name: xgridfit
Short Description: Font hinting tool
Owners: nim
Branches: F-8
InitialCC: fonts-sig
Cvsextras Commits: yes

Comment 6 Kevin Fenzi 2008-03-12 19:57:18 EDT
cvs done.
Comment 7 Nicolas Mailhot 2008-03-13 03:07:01 EDT
Thanks
Comment 8 Fedora Update System 2008-03-13 03:09:39 EDT
xgridfit-1.5-1.fc8 has been submitted as an update for Fedora 8

Note You need to log in before you can comment on or make changes to this bug.